/* --- File for css items to be removed later on. --- */

/* --- General D3, Interactivity & Animations --- */

svg text,
.non_reactive,
.tooltip {
  pointer-events: none;
}

svg text,
.tooltip {
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  -o-user-select: none; /* Opera */
  user-select: none;
}

.tooltip {
  background-color: white;
  border-color: #ddd;
  border-style: solid;
  border-width: 1px;
  opacity: 1;
  padding: 0.75rem;
  border-radius: 0.25rem; /* 4px */
  font-size: 0.875rem; /* 14px */
  line-height: 1.25rem; /* 20px */
}

.fireworks {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 100;
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  -o-user-select: none; /* Opera */
  user-select: none;
  pointer-events: none;
}
